:root {
    /* Global variables */
    --background-1: #0C0C16;
    --background-2: #1E1C2D;

    --white: #ffffff;
    --black: #000000;
    --green: #40E340;
    --red: #FF0000;
    --red-button: #D86E77;
    --pink: #F5C2ED;
    --gray: #444454;
    --golos-text-font: 'Golos Text', sans-serif;
    /* Pixel to rem */
    --ptr: 0.0625rem;   
}

body  
{  
    margin: 0;  
    padding: 0;  
    background-color:#3c484eba;  
    font-family: 'Arial';  
}  
h2{  
    text-align: center;  
    color: #000000;  
    padding: 20px;  
}  
label{  
    color: #3c484e;  
    font-size: 12px;  
}  

.section {
    display: flex;
    position: absolute;
    z-index: 1;
    width: 100%;
    min-height: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.login {
    z-index: 999;
    background: linear-gradient(98.28deg, var(--background-1) 4.4%, var(--background-2) 285.52%);
}

.login__secret-logout {
    position: absolute;
    top: 0;
    right: 0;
    width: 10px;
    height: 10px;
    opacity: 0;
    background: transparent;
    border: none;
    cursor: default;
    padding: 0;
}

.login__secret-logout:hover {
    cursor: pointer;
}

.login__box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;

    width: calc(320 * var(--ptr)); 
    min-height: calc(320 * var(--ptr));
    padding: calc(24 * var(--ptr));

    background: linear-gradient(98.28deg, rgba(28, 28, 51, 0.314) 4.4%, rgba(110, 110, 110, 0.5) 285.52%);
    box-shadow: 18px 14px 55.3px -32px #4F95CD, 5px 8px 18.4px -10px rgba(255, 255, 255, 0.8);

    border: 1px solid var(--gray);
    border-radius: calc(10 * var(--ptr));
}

.login__title {
    font-size: calc(20 * var(--ptr));
    color: var(--white);
    text-align: center;
    font-weight: bold;
    font-family: var(--golos-text-font);
}

.login__form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 90%;
    height: 100%;
    gap: calc(16 * var(--ptr));
    box-sizing: border-box;
}

.login__form-input-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    row-gap: calc(10 * var(--ptr));
}

.login__form-input {
    background: #444454;
    border: 2px solid #F3F3F5;
    border-radius: 2px;
    width: 100%;
    padding: calc(5 * var(--ptr)) calc(20 * var(--ptr));
    font-size: calc(14 * var(--ptr));
    color: var(--white);
    text-align: left;
    font-family: var(--golos-text-font);
    box-sizing: border-box;

}

.login__form-input--error {
    border-color: var(--red);
    background-color: rgba(255, 0, 0, 0.2);
    color: var(--red);
}

.login__input-icon {
    position: absolute;
    right: calc(20 * var(--ptr));
    top: 50%;
    transform: translateY(-50%);
    width: calc(24 * var(--ptr));
    height: calc(24 * var(--ptr));
}

.login__input-icon img {
    width: 100%;
    height: 100%;
}

.login__input-icon-container {
    position: relative;
    width: 100%;
    box-sizing: border-box;
}

.login__form-label {
    font-size: calc(14 * var(--ptr));
    color: var(--white);
    text-align: left;
    font-family: var(--golos-text-font);
}

.login__submit-button {
    margin-top: calc(30 * var(--ptr));
    background: rgba(0, 238, 255, 0.2);
    border: calc(1 * var(--ptr)) solid #81D4F0;
    border-radius: calc(3 * var(--ptr));

    width: 100%;
    padding: calc(5 * var(--ptr)) calc(20 * var(--ptr));

    font-family: var(--golos-text-font);
    font-weight: 700;
    font-size: calc(12 * var(--ptr));
    text-align: center;
    text-transform: uppercase;
    color: var(--white);
    box-sizing: border-box;
    cursor: pointer;
}

.hidden {
    display: none;
}